%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate unic-char-range

Name:           rust-unic-char-range
Version:        0.9.0
Release:    2%{?dist}
Summary:        UNIC — Unicode Character Tools — Character Range and Iteration

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/unic-char-range
Source0:        %{crates_source}
Source1:        https://github.com/open-i18n/rust-unic/raw/v0.9.0/LICENSE-APACHE
Source2:        https://github.com/open-i18n/rust-unic/raw/v0.9.0/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
UNIC — Unicode Character Tools — Character Range and Iteration.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+exact-size-is-empty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+exact-size-is-empty-devel %{_description}

This package contains library source intended for building other packages which
use the "exact-size-is-empty" feature of the "%{crate}" crate.

%files       -n %{name}+exact-size-is-empty-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fused-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fused-devel %{_description}

This package contains library source intended for building other packages which
use the "fused" feature of the "%{crate}" crate.

%files       -n %{name}+fused-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trusted-len-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trusted-len-devel %{_description}

This package contains library source intended for building other packages which
use the "trusted-len" feature of the "%{crate}" crate.

%files       -n %{name}+trusted-len-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.9.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
